r"""

**openpnm.models.physics**

----

This submodule contains models for calculating properties related to physical
transport processes, including conductances, reaction rates, and capillary
effects

"""

from . import misc
from . import capillary_pressure
from . import diffusive_conductance
from . import electrical_conductance
from . import thermal_conductance
from . import hydraulic_conductance
from . import multiphase
from . import generic_source_term
